<?php
require_once ("VLSIuser.php");


if (isset($_GET['del'])&& $_GET['del']==1){
//mazani projektu ************************************************


if (!isset($_GET['idprj'])){die("Doslo k chybě</body></html>");}
$idprj=$_GET['idprj'];
// kontrola zda je idprj cislo
if (is_numeric($idprj)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $idprj=(int)$idprj;
}else{die("Doslo k chybě nebo pokusu o utok</body></html>");}

//  pokud neni zadan stav projektu skonci se s chybou
if (!isset($_GET['prj'])){die("Nesprávný přístup, skript nebude proveden");}

switch ($_GET['prj']){
    case "offered":$dotaz="DELETE FROM projects WHERE (prjid=".$idprj." AND zadavatel='".$user['username']."')";break;
    case "current":$dotaz="DELETE FROM projects WHERE (prjid=".$idprj." AND zadavatel='".$user['username']."')";break;
    case "old":$dotaz="DELETE FROM oldproj WHERE (prjid=".$idprj." AND zadavatel='".$user['username']."')";break;
    default: die ("Pokus o nabourání skriptu. Nebude nic vzkonáno </body></html>");}
$jmsess="ulozEDITPROJ";
$jmsess.=$_GET['prj'];
session_start();

//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
 if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}

  unseting($jmsess);

// delete projektu
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     $db->close();
     header ("Location: edit.php?stav=4");exit;
	} else {
$db->close();
header ("Location: edit.php?stav=2");exit;}
}
//**************************************************************************
//**************************************************************************
//********* update projektu





//je odeslano z naseho skriptu
if (!isset($_POST['odeslane'])){header ("Location: edit.php?stav=3");exit;}
if ($_POST['odeslane']!="Odeslat"){header ("Location: edit.php?stav=3");exit;}

if (!isset($_POST['idprj'])){die("Doslo k chybě</body></html>");}
$idprj=$_POST['idprj'];
// kontrola zda je idprj cislo
if (is_numeric($idprj)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $idprj=(int)$idprj;
}else{die("Doslo k chybě nebo pokusu o utok</body></html>");}

if(!isset($_POST['prj'])){die("Nesprávný přístup, skript nebude proveden");}
switch ($_POST['prj']){
    case "offered":$dotaz="UPDATE projects ";$pop="popis";break;
    case "current":$dotaz="UPDATE projects ";$pop="popis";break;
    case "old":$dotaz="UPDATE oldproj ";$pop="anotace";break;
    default: die ("Pokus o nabourání skriptu. Nebude nic vykonáno </body></html>");}
$prj=$_POST['prj'];
$jmsess="ulozEDITPROJ";
$jmsess.=$prj;
session_start();


//kontrola spravnosti prichozich dat
if (isset($_POST['nazev'])){$nazev=trim($_POST['nazev']);}else {$nazev="";}
if (isset($_POST['nazeveng'])){$nazeveng=trim($_POST['nazeveng']);}else {$nazeveng="";}
if (isset($_POST['popis'])){$popis=trim($_POST['popis']);}else {$popis="";}
if (isset($_POST['rozsah'])){$rozsah=trim($_POST['rozsah']);}else {$rozsah="";}
if (isset($_POST['literatura'])){$literatura=trim($_POST['literatura']);}else {$literatura="";}
if (isset($_POST['resitel'])){$resitel=trim($_POST['resitel']);}else {$resitel="";}
if (isset($_POST['odkaz'])){$odkaz=trim($_POST['odkaz']);}else {$odkaz="";}

//*****************************************************
//***************************************************
//prisli pripustne hodnoty.... kontrola delek pro db
$is_chyba=false;
$chyba="idprj=$idprj&prj=$prj";
if (strlen($nazev)==0){$is_chyba=true;$chyba.="&chybinazev=true";}
if (strlen($nazev)>320){$is_chyba=true;$chyba.="&nazevchyba=true";}
if (strlen($nazeveng)>320){$is_chyba=true;$chyba.="&nazevengchyba=true";}
if (strlen($rozsah)>40){$is_chyba=true;$chyba.="&rozsahchyba=true";}
if (strlen($literatura)>320){$is_chyba=true;$chyba.="&literchyba=true";}
if (strlen($resitel)>40){$is_chyba=true;$chyba.="&resitelchyba=true";}
if (strlen($odkaz)>160){$is_chyba=true;$chyba.="&odkazchyba=true";}
if (strlen($odkaz)!=0){ $isodkaz = Ereg("^http://[^ ]+\.[^ ]+$", $odkaz);
                        $isodkaz2 = Ereg("^www\.[^ ]+\.[^ ]+$", $odkaz);
                        if ((!$isodkaz) && (!$isodkaz2)) {$is_chyba=true;
                                            $chyba.="&odkazchyba2=true";}}


if($slashes==1){
$chyba.="&nazev=".stripslashes($nazev)."&nazeveng=".stripslashes($nazeveng)."&popis=".stripslashes($popis)."&rozsah=".stripslashes($rozsah)."&literatura=".stripslashes($literatura)."&resitel=".stripslashes($resitel)."&odkaz=".stripslashes($odkaz);}
else{$chyba.="&nazev=$nazev&nazeveng=$nazeveng&popis=$popis&rozsah=$rozsah&literatura=$literatura&resitel=$resitel&odkaz=$odkaz";}

if ($is_chyba){header ("Location: editproj.php?".SID."&$chyba");exit;}
//*************************************
// pokud nenastala chyba, jde to do db

if ($slashes==0){
$nazev=addslashes($nazev);
$nazeveng=addslashes($nazeveng);
$popis=addslashes($popis);
$rozsah=addslashes($rozsah);
$literatura=addslashes($literatura);
$resitel=addslashes($resitel);
$odkaz=addslashes($odkaz);
}

// vytvareni dotazu pro DB
$dotaz=$dotaz."SET nazev='".$nazev."'";
if($nazeveng==""){$dotaz=$dotaz.", nazeveng=null";}else{$dotaz=$dotaz.", nazeveng='".$nazeveng."'";}
if($popis==""){$dotaz=$dotaz.", $pop=null";}else{$dotaz=$dotaz.", $pop='".$popis."'";}
if($rozsah==""){$dotaz=$dotaz.", rozsah=null";}else{$dotaz=$dotaz.", rozsah='".$rozsah."'";}
if($literatura==""){$dotaz=$dotaz.", literatura=null";}else{$dotaz=$dotaz.", literatura='".$literatura."'";}
if($resitel==""){$dotaz=$dotaz.", resitel=null";}else{$dotaz=$dotaz.", resitel='".$resitel."'";}
if($odkaz==""){$dotaz=$dotaz.", odkaz=null";}else{$dotaz=$dotaz.", odkaz='".$odkaz."'";}

$dotaz=$dotaz." WHERE (prjid=".$idprj." AND zadavatel='".$user['username']."')";


//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
 

if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}

  unseting($jmsess);
 
// update projektu
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     $db->close();
     header ("Location: edit.php?stav=4");exit;
	} else {
$db->close();
header ("Location: edit.php?stav=1");exit;}
?>
